VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Cis::Tagging::CategoryModel::Cardinality Class Reference
Inheritance diagram for Com::Vmware::Cis::Tagging::CategoryModel::Cardinality:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Cis::Tagging::CategoryModel::Cardinality` enumerated type defines the number of tags in a category that can be assigned to an object. Constant Com::Vmware::Cis::Tagging::CategoryModel::Cardinality::SINGLE # An object can only be assigned one of the tags in this category. For example, if a category is "Operating System", then different tags of this category would be "Windows", "Linux", and so on. In this case a VM object can be assigned only one of these tags and hence the cardinality of the associated category here is single. Constant Com::Vmware::Cis::Tagging::CategoryModel::Cardinality::MULTIPLE # An object can be assigned several of the tags in this category. For example, if a category is "Server", then different tags of this category would be "AppServer", "DatabaseServer" and so on. In this case a VM object can be assigned more than one of the above tags and hence the cardinality of the associated category here is multiple.

## Member Function Documentation

public method Com::Vmware::Cis::Tagging::CategoryModel::Cardinality::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Cis::Tagging::CategoryModel::Cardinality enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.cis.tagging.category_model.cardinality',
'binding_class' => 'Com::Vmware::Cis::Tagging::CategoryModel::Cardinality');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Cis/Tagging/CategoryModel.pm